[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TParam.Dataset

Dataset to which this parameter belongs

## Declaration

Source position: db.pas line 1270

`public property TParam.Dataset : TDataSet read GetDataset;`

## Description

Dataset is the dataset that owns the TParams instance of which this TParam instance is a part. It is Nil if the collection is not set, or is not a TParams instance.

## See also

TDataset |  | Base class for records-based data-access
TParams |  | A collection of parameter values for SQL-based datasets